//  cnv_func.h
//
//	YUV to NV12 convert functions
//
//	Copyright (c) 2005,2006 N099
//
#ifndef _CNVF_H_
#define _CNVF_H_

#ifdef __cplusplus
extern "C" {
#endif

typedef void(*YUV2NV12)(unsigned char *, unsigned char *, long, long, long, long);
extern const YUV2NV12 yuy2nv12_ftbl[];
extern const YUV2NV12 mmx_yuy2nv12_ftbl[];

#define YUV2NV12_YV12_NV12    0 /* YV12 to NV12*/
#define YUV2NV12_YUY2P_NV12   1 /* progressive YUY2 */
#define YUV2NV12_YUY2II_NV12  2 /* interlace(MPEG2) YUY2 interporale */
#define YUV2NV12_YUY2ISI_NV12 3 /* interlace(center) YUY2 interporale */
#define YUV2NV12_YUY2IP_NV12  4 /* interlace(MPEG2) YUY2 prefilter */
#define YUV2NV12_YUY2ISP_NV12 5 /* interlace(center) YUY2 prefilter */
#define YUV2NV12_FUNC_SIZE    6

#ifdef __cplusplus
}
#endif

#endif //_CNVF_H_
